Bug 806615 - yum-plugin-fs-snapshot fails with certain mount configurations
yum-plugin-fs-snapshot fails with certain mount configurations
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
16
All Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-25 08:00 EDT by William Brown
Modified: 2014-01-21 18:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:24:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for plugins/fs-snapshot.py to correct this issue. (737 bytes, application/octet-stream)
2012-03-25 08:00 EDT, William Brown
no flags Details

  None (edit)
Description William Brown 2012-03-25 08:00:44 EDT
Created attachment 572520 [details]
Patch for plugins/fs-snapshot.py to correct this issue.

Description of problem:
Yum-plugin-fs-snapshot fails to snapshot the volumes of a system, when options like mount binds or localhost NFS mounts are active. This is because two mounts points list the same LVM block device, and the attempt to create the second snapshot fails for the reason "snapshot already exists".

Version-Release number of selected component (if applicable):
Can produce in f15, 16, rawhide.

How reproducible:
Always.

Steps to Reproduce:
1. Setup an LVM lv as a mount point (Lets say /export)
2. Mount-bind /export/home to /home
3. Attempt to use yum-plugin-fs-snapshot
  
Actual results:
Transaction fails

Expected results:
Transaction should succeed, with all volumes snapshotted.

Additional info:
I have created a patch that will address this. I have tested it, and it appears to work on my systems with multiple bound volumes which would normally cause failure.
Comment 1 Fedora End Of Life 2013-01-16 12:34:14 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 17:24:20 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.